1. Are you ready for the Galaxy S20? Here is everything we know so far!

Hi, everyone. I am new please help

Discussion in 'Introductions' started by AllenTX, Dec 9, 2013.

  1. AllenTX

    AllenTX Lurker
    Thread Starter

    I have HTC EVO 4G. I try to install some Apps (say Evernotes). But message says "Your device isn't compatible with this version.

    MY EVO 4G had Andriod 2.3.5. Maybe that is the problem. Please teach me how to upgrade my andriod version.

    Thanks in advance.

    Allen
     



    1. Download the Forums for Android™ app!


      Download

       
  2. Mikestony

    Mikestony ~30% Carbon Black ±
    VIP Member

    Hello Allen!
    Welcome!
    Without rooting, I believe that is the highest version you can go on that device as it has reached the end of its update life.
    However, you can root and flash a custom rom that has a higher version:)
    Check this forum out if you desire to do so;)

    EVO 4G - All Things Root - Android Forums
     
    ocnbrze and damewolf13 like this.
  3. damewolf13

    damewolf13 live~laugh~love

    Welcome to AF, AllenTX!
    I see Mike has pointed you in the right direction to learn about the possibilities with rooting your Evo. If there is anything else you need assistance with, please ask.:)
     
    ocnbrze and Mikestony like this.
  4. Digital Controller

    Digital Controller The Real Bass Creator

    Welcome to the forums!

    Looks like the mods above me have done a rightful job in pointing you in the right direction. Feel free to ask us any other questions you might have :)

    And thanks for joining.
     
    ocnbrze and Mikestony like this.
Loading...

Share This Page

Loading...